Qt 5.8 | Qt 3D | C++ Classes | QScissorTest

Qt 5.8.0 Reference Documentation

# QScissorTest Class

(Qt3DRender::QScissorTest)

The QScissorTest class discards fragments that fall outside of a certain rectangular portion of the screen. More...

Header: | #include <QScissorTest>
qmake: | QT += 3drender
Since: | Qt 5.7
Instantiated By: | ScissorTest
Inherits: | Qt3DRender::QRenderState

- List of all members, including inherited members

## Properties

- bottom : int
- height : int
- left : int
- width : int

- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QScissorTest(Qt3DCore::QNode *parent = nullptr)
int | bottom() const
int | height() const
int | left() const
int | width() const

- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setBottom(int bottom)
void | setHeight(int height)
void | setLeft(int left)
void | setWidth(int width)

- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | bottomChanged(int bottom)
void | heightChanged(int height)
void | leftChanged(int left)
void | widthChanged(int width)

- 3 signals inherited from Qt3DCore::QNode

### Additional Inherited Members

- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

The QScissorTest class discards fragments that fall outside of a certain rectangular portion of the screen.

A QScissorTest class enables scissor test, which discards fragments outside the rectangular area of the screen specified by the left, bottom, width and height properties.

## Property Documentation

### bottom : int

Holds the bottom coordinate of the scissor box.

Access functions:

int | bottom() const
void | setBottom(int bottom)

Notifier signal:

void | bottomChanged(int bottom)

### height : int

Holds the height of the scissor box.

Access functions:

int | height() const
void | setHeight(int height)

Notifier signal:

void | heightChanged(int height)

### left : int

Holds the left coordinate of the scissor box.

Access functions:

int | left() const
void | setLeft(int left)

Notifier signal:

void | leftChanged(int left)

### width : int

Holds the width of the scissor box.

Access functions:

int | width() const
void | setWidth(int width)

Notifier signal:

void | widthChanged(int width)

## Member Function Documentation

### QScissorTest::QScissorTest(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QScissorTest.